Get Category By ID
GET
/v1/categories/{companyId}/{brandId}/{categoryId}
const url = 'https://api.dev.caspeco.net/api/am/v1/categories/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.dev.caspeco.net/api/am/v1/categories/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0Returns the category with the given internal category ID
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”companyId
required
string format: uuid
brandId
required
string format: uuid
categoryId
required
string format: uuid
Responses
Section titled “Responses”Returns the category
object
categoryId
required
string format: uuid
parentCategoryId
string format: uuid
name
required
string
description
required
string
externalId
string
parentExternalId
string
object
categoryId
required
string format: uuid
parentCategoryId
string format: uuid
name
required
string
description
required
string
externalId
string
parentExternalId
string
Examplegenerated
{ "categoryId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "parentCategoryId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "description": "example", "externalId": "example", "parentExternalId": "example"}object
categoryId
required
string format: uuid
parentCategoryId
string format: uuid
name
required
string
description
required
string
externalId
string
parentExternalId
string
Examplegenerated
{ "categoryId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "parentCategoryId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "description": "example", "externalId": "example", "parentExternalId": "example"}Unauthorized
Forbidden
Not Found
object
statusCode
integer format: int32
message
string
validationErrors
Array<object>
object
field
required
string
errorId
required
string
entity
string
object
statusCode
integer format: int32
message
string
validationErrors
Array<object>
object
field
required
string
errorId
required
string
entity
string
Examplegenerated
{ "statusCode": 1, "message": "example", "validationErrors": [ { "field": "example", "errorId": "example" } ], "entity": "example"}object
statusCode
integer format: int32
message
string
validationErrors
Array<object>
object
field
required
string
errorId
required
string
entity
string
Examplegenerated
{ "statusCode": 1, "message": "example", "validationErrors": [ { "field": "example", "errorId": "example" } ], "entity": "example"}Internal Server Error